#!/bin/bash

###########################################################
# Remove namespaces
#  - this will also remove all manifest files in each namespace
#    (ie, deployment, pvc, service, ingress, etc)

kubectl delete ns dashy
kubectl delete ns delfax
kubectl delete ns filebrowser
kubectl delete ns freshrss
kubectl delete ns gitea
kubectl delete ns gotify
kubectl delete ns home-automation
kubectl delete ns k8stv
kubectl delete ns mealie
kubectl delete ns nagios
kubectl delete ns signal-api
kubectl delete ns tiddlywiki
kubectl delete ns uptime-kuma
kubectl delete ns vaultwarden

kubectl delete ns nfs-provisioner
kubectl delete ns ingress-controller
kubectl delete ns metallb-system

sleep 15

###########################################################
# Still need to clean up the pv's

# dashy ns pv's
kubectl delete pv dashy-pv \

# delfax ns pv's
kubectl delete pv ddclient-pv \
                  delfax-net-pv \
                  delinit-pv \
                  linkding-pv \
                  website-pv

# filebrowser ns pv's
kubectl delete pv filebrowser-config-pv
kubectl delete pv filebrowser-db-pv
kubectl delete pv filebrowser-data-pv

# freshrss ns pv's
kubectl delete pv freshrss-pv

# gitea ns pv's
kubectl delete pv gitea-pv

# gotify ns pv's
kubectl delete pv gotify-pv

# home-automation ns pv's
kubectl delete pv home-assistant-config-pv \
                  motioneye-etc-pv motioneye-var-lib-pv \
                  mqtt-config-pv mqtt-data-pv mqtt-log-pv

# k8stv ns pv's
kubectl delete pv flexget-config-pv flexget-data-pv \
                  transmission-data-pv

# mealie ns pv's
kubectl delete pv mealie-pv

# nagios ns pv's
kubectl delete pv nagios-etc-pv nagios-var-pv nagios-share-pv

# signal-api ns pv's
kubectl delete pv signal-api-pv

# tiddlywiki ns pv's
kubectl delete pv journal-wiki-pv \
                  notes-wiki-pv \
                  wfh-wiki-pv \
                  website-wiki-pv

# uptime-kuma ns pv's
kubectl delete pv uptime-kuma-pv

# vaultwarden ns pv's
kubectl delete pv vaultwarden-pv

# EOF
